Kenya National ID Advanced
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/national_id_advance/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"national_id": "1010101010"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/national_id_advance/"
payload = { "national_id": "1010101010" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({national_id: '1010101010'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/national_id_advance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Kenya
National ID avancé
Récupérez les détails d’identité étendus pour un national ID kényan, incluant la photo, le lieu de naissance et la résidence.
POST
/
api
/
onboarding
/
kenya_kyc
/
national_id_advance
/
Kenya National ID Advanced
L’endpoint National ID avancé renvoie des informations d’identité complètes pour un national ID kényan, incluant la photo de l’inscrit, le lieu de naissance, le lieu de résidence et les détails de délivrance.
Endpoint
POST /api/onboarding/kenya_kyc/national_id_advance/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
national_id | integer | Oui | Le numéro de national ID kényan du client |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/national_id_advance/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"national_id": 1010101010}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.First_Name | string | Prénom |
data.Surname | string | Nom de famille |
data.Other_Name | string | Autre/deuxième prénom |
data.Gender | string | Genre ("M" ou "F") |
data.Date_of_Birth | string | Date de naissance |
data.Citizenship | string | Statut de citoyenneté |
data.Date_of_Issue | string | Date de délivrance de la carte d’identité |
data.Place_of_Birth | string | Lieu de naissance |
data.Place_of_Live | string | Lieu de résidence enregistré |
data.Photo | string | Photo de la carte d’identité encodée en base64 |
{
"status": "success",
"data": {
"Pin": "",
"Clan": "",
"Photo": "<base64-encoded-jpeg>",
"Family": "",
"Gender": "M",
"Surname": "Leo",
"RegOffice": "",
"First_Name": "Joe",
"Occupation": "",
"Other_Name": "Doe",
"Citizenship": "Kenyan",
"Date_of_Birth": "2000-09-20 12:00:00 AM",
"Date_of_Death": "",
"Date_of_Issue": "1/27/2000 12:00:00 AM",
"Place_of_Live": "BOX 12345-00800 NAIROBI\nKAREN\nKAREN\nLOCATION - LANGATA\nDIVISION - KIBERA\nDISTRICT - STAREHE",
"Serial_Number": 0,
"Place_of_Birth": "NAIROBI\nDISTRICT - STAREHE",
"Place_of_Death": ""
},
"message": "National ID Advance details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

